php-universe-source7.0 (7.0.4-5ubuntu1) xenial; urgency=medium

  * Build of universe components to match LP: #1553419 upload of php7.0.
    - d/rules: mark universe as enabled.
    - d/control{,.in}: add Build-Depends on firebird-dev,
      libc-client-dev, libmcrypt-dev, libonig-dev, libqdbm-dev and
      libzip-dev.
    - d/control{,.in}: rename Source: to match this build. [previously
      undocumented]
    - drop Testsuite: autopkgtest since this package has no tests.
    - d/control: remove binary packages that are not built by this
      source package. [previously undocumented]

php7.0 (7.0.4-5ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable (LP: #1553419). Remaining changes:
    - Add support for independent source packages php7.0 and
      php7.0-universe-source (LP #1555843):
      + d/control{,.in}: drop Build-Depends on firebird-dev, libc-client-dev,
        libmcrypt-dev, libonig-dev, libqdbm-dev and libzip-dev.
      + d/control: drop binary packages php7.0-imap, php7.0-interbase,
        php7.0-mcrypt and php7.0-zip and their reverse dependencies.
      + d/control{,.in}: add Build-Depends on dctrl-tools.
      + d/rules.d/ext-interbase.mk: add pdo config to interbase's
        config, as php7.0-universe-common will not use ext-common.mk.
    - d/control{,.in}: switch Build-Depends of netcat-traditional to
      netcat-openbsd as only the latter is in main.
    - d/rules: do not generate debian/tests/control when building for
      universe.
    - d/rules: use grep-dctrl to remove binary packages not generated by
      this source package during the build (dpkg-genchanges complains
      otherwise).
  * Drop:
    - d/rules: use grep{,-dctrl} to filter out makefile snippets and
      binary packages that require universe.
      [ Not present ]
    - Undocumented changes to debian/control.
      [ Prior merge churn]
  * php7.0-interbase: Do not install pdo.so, as it is provided
    by php7.0-common (LP: #1556486).

php7.0 (7.0.4-5) unstable; urgency=medium

  * Apply patch to make opcache lockfile path configurable
    (Courtesy of Gandi)

php7.0 (7.0.4-4) unstable; urgency=medium

  * Also kill old /etc/php/mods-available/zlib.ini
    (Closes: #817205, #817202)

php7.0 (7.0.4-3) unstable; urgency=medium

  * We need php_enable() in prerm script (Closes: #816763)
  * Force ucf and ucfr de-registration of old config files
  * ZLIB needs to be builtin module to support IMAGETYPE_SWC
  * Remove zlib extension from the list of extensions
  * php-common.preinst.extra was missing from d/prepare-files
  * Remove debian/ prefix from @package@ in prepared-files

php7.0 (7.0.4-2) unstable; urgency=medium

  * Replace libvpx-dev with libwebp-dev in ext-gd.mk
  * zlib extension needs to be enable as a module for all SAPIs to support
    IMAGETYPE_SWC

php7.0 (7.0.4-1) unstable; urgency=medium

  * Imported Upstream version 7.0.4
  * Remove two patches already present in upstream
  * Rebase patches on top of 7.0.4 release
  * Remove ucfq part from prerm and postrm script that's not needed
    anymore (it was needed for dual mysql and mysqlnd modules)
  * Move php module deactivation back to postrm remove block
    (Closes: #816465)
  * Reorder SAPI cleanup scripts to properly disable PHP extensions

php7.0 (7.0.3-13) unstable; urgency=medium

  * Check for old inidir existence before removing it (Closes: #816429)

php7.0 (7.0.3-12) unstable; urgency=medium

  * Turn comma into pipe to make fpm alternative to other web SAPIs

php7.0 (7.0.3-11) unstable; urgency=medium

  * Move mods-available directories to /etc/php/X.Y/mods-available
  * Install missing php-module.preinst scripts

php7.0 (7.0.3-10) unstable; urgency=medium

  * Don't enable PHP FPM by default
  * Fix non-expanded @EXTENSION_DIR@ in php-config

Date: Mon, 14 Mar 2016 12:06:10 -0700
Changed-By: Nishanth Aravamudan <nish.aravamu...@canonical.com>
Maintainer: Ubuntu Developers <ubuntu-devel-disc...@lists.ubuntu.com>
Signed-By: Matthias Klose <d...@ubuntu.com>
https://launchpad.net/ubuntu/+source/php-universe-source7.0/7.0.4-5ubuntu1
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 14 Mar 2016 12:06:10 -0700
Source: php-universe-source7.0
Binary: php7.0-mcrypt php7.0-zip php7.0-interbase php7.0-imap
Architecture: source
Version: 7.0.4-5ubuntu1
Distribution: xenial
Urgency: medium
Maintainer: Ubuntu Developers <ubuntu-devel-disc...@lists.ubuntu.com>
Changed-By: Nishanth Aravamudan <nish.aravamu...@canonical.com>
Description:
 php7.0-imap - IMAP module for PHP
 php7.0-interbase - Interbase module for PHP
 php7.0-mcrypt - libmcrypt module for PHP
 php7.0-zip - Zip module for PHP
Closes: 816429 816465 816763 817202 817205
Launchpad-Bugs-Fixed: 1553419 1556486
Changes:
 php-universe-source7.0 (7.0.4-5ubuntu1) xenial; urgency=medium
 .
   * Build of universe components to match LP: #1553419 upload of php7.0.
     - d/rules: mark universe as enabled.
     - d/control{,.in}: add Build-Depends on firebird-dev,
       libc-client-dev, libmcrypt-dev, libonig-dev, libqdbm-dev and
       libzip-dev.
     - d/control{,.in}: rename Source: to match this build. [previously
       undocumented]
     - drop Testsuite: autopkgtest since this package has no tests.
     - d/control: remove binary packages that are not built by this
       source package. [previously undocumented]
 .
 php7.0 (7.0.4-5ubuntu1) xenial; urgency=medium
 .
   * Merge with Debian unstable (LP: #1553419). Remaining changes:
     - Add support for independent source packages php7.0 and
       php7.0-universe-source (LP #1555843):
       + d/control{,.in}: drop Build-Depends on firebird-dev, libc-client-dev,
         libmcrypt-dev, libonig-dev, libqdbm-dev and libzip-dev.
       + d/control: drop binary packages php7.0-imap, php7.0-interbase,
         php7.0-mcrypt and php7.0-zip and their reverse dependencies.
       + d/control{,.in}: add Build-Depends on dctrl-tools.
       + d/rules.d/ext-interbase.mk: add pdo config to interbase's
         config, as php7.0-universe-common will not use ext-common.mk.
     - d/control{,.in}: switch Build-Depends of netcat-traditional to
       netcat-openbsd as only the latter is in main.
     - d/rules: do not generate debian/tests/control when building for
       universe.
     - d/rules: use grep-dctrl to remove binary packages not generated by
       this source package during the build (dpkg-genchanges complains
       otherwise).
   * Drop:
     - d/rules: use grep{,-dctrl} to filter out makefile snippets and
       binary packages that require universe.
       [ Not present ]
     - Undocumented changes to debian/control.
       [ Prior merge churn]
   * php7.0-interbase: Do not install pdo.so, as it is provided
     by php7.0-common (LP: #1556486).
 .
 php7.0 (7.0.4-5) unstable; urgency=medium
 .
   * Apply patch to make opcache lockfile path configurable
     (Courtesy of Gandi)
 .
 php7.0 (7.0.4-4) unstable; urgency=medium
 .
   * Also kill old /etc/php/mods-available/zlib.ini
     (Closes: #817205, #817202)
 .
 php7.0 (7.0.4-3) unstable; urgency=medium
 .
   * We need php_enable() in prerm script (Closes: #816763)
   * Force ucf and ucfr de-registration of old config files
   * ZLIB needs to be builtin module to support IMAGETYPE_SWC
   * Remove zlib extension from the list of extensions
   * php-common.preinst.extra was missing from d/prepare-files
   * Remove debian/ prefix from @package@ in prepared-files
 .
 php7.0 (7.0.4-2) unstable; urgency=medium
 .
   * Replace libvpx-dev with libwebp-dev in ext-gd.mk
   * zlib extension needs to be enable as a module for all SAPIs to support
     IMAGETYPE_SWC
 .
 php7.0 (7.0.4-1) unstable; urgency=medium
 .
   * Imported Upstream version 7.0.4
   * Remove two patches already present in upstream
   * Rebase patches on top of 7.0.4 release
   * Remove ucfq part from prerm and postrm script that's not needed
     anymore (it was needed for dual mysql and mysqlnd modules)
   * Move php module deactivation back to postrm remove block
     (Closes: #816465)
   * Reorder SAPI cleanup scripts to properly disable PHP extensions
 .
 php7.0 (7.0.3-13) unstable; urgency=medium
 .
   * Check for old inidir existence before removing it (Closes: #816429)
 .
 php7.0 (7.0.3-12) unstable; urgency=medium
 .
   * Turn comma into pipe to make fpm alternative to other web SAPIs
 .
 php7.0 (7.0.3-11) unstable; urgency=medium
 .
   * Move mods-available directories to /etc/php/X.Y/mods-available
   * Install missing php-module.preinst scripts
 .
 php7.0 (7.0.3-10) unstable; urgency=medium
 .
   * Don't enable PHP FPM by default
   * Fix non-expanded @EXTENSION_DIR@ in php-config
Checksums-Sha1:
 2d9dccc1b38424ec4052ea1e045cfa384c4a86f6 3764 
php-universe-source7.0_7.0.4-5ubuntu1.dsc
 2f8c7988c5fe43d9aa9ad262db17d1994f6c7bc0 11406556 
php-universe-source7.0_7.0.4.orig.tar.xz
 2fa46aff51ad115ee11692adafafdf63cdb5d433 60876 
php-universe-source7.0_7.0.4-5ubuntu1.debian.tar.xz
Checksums-Sha256:
 4951d0e46af24e7c568ba6ed1d7ff1e76595f198848a5ec9b783a7dca749546d 3764 
php-universe-source7.0_7.0.4-5ubuntu1.dsc
 584e0e374e357a71b6e95175a2947d787453afc7f9ab7c55651c10491c4df532 11406556 
php-universe-source7.0_7.0.4.orig.tar.xz
 cbc11f14cdc327f2bed97993357d48c8eac69163af386e221382aaa865062e03 60876 
php-universe-source7.0_7.0.4-5ubuntu1.debian.tar.xz
Files:
 892893a266ce27fdf4b62e5e6ec38c01 3764 php optional 
php-universe-source7.0_7.0.4-5ubuntu1.dsc
 82c60fc8167dd964119447da539af4f7 11406556 php optional 
php-universe-source7.0_7.0.4.orig.tar.xz
 7ede61b653ab72555e9fbd428f285c2e 60876 php optional 
php-universe-source7.0_7.0.4-5ubuntu1.debian.tar.xz
Original-Maintainer: Debian PHP Maintainers 
<pkg-php-ma...@lists.alioth.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJW5xo5AAoJEL1+qmB3j6b1JVMP/3wp/XCj3USykE+lFoCnDMSr
H9DFUBi2MGn1yjjh1YiZun1z/Y3xHLq1ljMG6BPFKp/S2cygeh4gsbkbCF0ONxPT
qtetMJvl4sqcOFwBra3rDZOsRckenYYdDo1G/XcGhcCxOR1f2FDe3QOcxu1W3LTC
veU0+xz20DCccgnNg3MAIKXPEvaQkIejr2exoAAFZIYPGxNSC/q5D/6DTkTdfQVJ
TpBR6I0QWnzunsgNtEm8U5szx7+L3xJxfHeVLt+MJmiA1NyNf7KsnNMVg74oS2bC
LeB9sHJJwbcIRpdcKVOrnv/tu6jPWs2tzku2yXI3fneK9YNGnlixJSGlfYfiwweh
U+8SO758k0fbxI/W9N/usk/MnOG2h/5LPcfz7pGsfIB+tA5Gl9c9f5tn9x13pT5C
fax98htJZnhurYgfSrySygXN2rRVZtCpngh4GnyFI2i3QQYJFMLFlBvMWFBUv5t3
NKRBRBZQUWeUlFl6Z2QxIsIVba6RdNJ/eRmpbvkdbP86PDGLj3lFuhaE112KGNuL
WhR4ZAevvTm1wbrozG5e+Wtel2lI+UMKvZyNtLx1E25UFGPh/rGFG4vsq5rPqgio
6t6jWJEQ0QXajbFfbY00TydBHsWhJ+jAqkqFLZ/FpB2lpQPz9QkLi/eMuC96idiO
EA+SPm6kQMF2cLh+EIMp
=x7qX
-----END PGP SIGNATURE-----
-- 
Xenial-changes mailing list
Xenial-changes@lists.ubuntu.com
Modify settings or unsubscribe at: 
https://lists.ubuntu.com/mailman/listinfo/xenial-changes

Reply via email to